{
  nixpkgs,
  inputs,
}:
{
  mkHost =
    {
      name,
      arch ? "x86_64-linux",
    }:
    nixpkgs.lib.nixosSystem {
      system = arch;
      modules = [
        ./hosts/base.nix
        ./hosts/${name}.nix
        ./nixosModules
        (
          { ... }:
          {
            config = {
              networking.hostName = name;
            };
          }
        )
      ];
      specialArgs = {
        inherit inputs;
      };
    };
}
